## GimpItemComboBox

GimpItemComboBox — Widgets providing popup menus of items.

## Functions

gboolean | (*GimpItemConstraintFunc) ()
GtkWidget * | gimp_drawable_combo_box_new ()
GtkWidget * | gimp_channel_combo_box_new ()
GtkWidget * | gimp_layer_combo_box_new ()
GtkWidget * | gimp_vectors_combo_box_new ()

## Types and Values

| GimpDrawableComboBox
typedef | GimpDrawableConstraintFunc
| GimpChannelComboBox
| GimpLayerComboBox
| GimpVectorsComboBox
typedef | GimpVectorsConstraintFunc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkComboBox
                                ╰── GimpIntComboBox
                                    ├── GimpChannelComboBox
                                    ├── GimpDrawableComboBox
                                    ├── GimpLayerComboBox
                                    ╰── GimpVectorsComboBox

## Implemented Interfaces

GimpDrawableComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

GimpChannelComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

GimpLayerComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

GimpVectorsComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Description

Widgets providing popup menus of items (layers, channels, drawables, vectors).

## Functions

### GimpItemConstraintFunc ()

    gboolean
    (*GimpItemConstraintFunc) (gint32 image_id,
                               gint32 item_id,
                               gpointer data);

### gimp_drawable_combo_box_new ()

    GtkWidget *
    gimp_drawable_combo_box_new (GimpDrawableConstraintFunc constraint,
                                 gpointer data);

Creates a new GimpIntComboBox filled with all currently opened drawables. If a `constraint` function is specified, it is called for each drawable and only if the function returns `TRUE`, the drawable is added to the combobox.

You should use `gimp_int_combo_box_connect()` to initialize and connect the combo. Use `gimp_int_combo_box_set_active()` to get the active drawable ID and `gimp_int_combo_box_get_active()` to retrieve the ID of the selected drawable.

#### Parameters

constraint | a GimpDrawableConstraintFunc or `NULL` |
data | a pointer that is passed to `constraint` |

#### Returns

a new GimpIntComboBox.

Since: 2.2

### gimp_channel_combo_box_new ()

    GtkWidget *
    gimp_channel_combo_box_new (GimpDrawableConstraintFunc constraint,
                                gpointer data);

Creates a new GimpIntComboBox filled with all currently opened channels. See `gimp_drawable_combo_box_new()` for more information.

#### Parameters

constraint | a GimpDrawableConstraintFunc or `NULL` |
data | a pointer that is passed to `constraint` |

#### Returns

a new GimpIntComboBox.

Since: 2.2

### gimp_layer_combo_box_new ()

    GtkWidget *
    gimp_layer_combo_box_new (GimpDrawableConstraintFunc constraint,
                              gpointer data);

Creates a new GimpIntComboBox filled with all currently opened layers. See `gimp_drawable_combo_box_new()` for more information.

#### Parameters

constraint | a GimpDrawableConstraintFunc or `NULL` |
data | a pointer that is passed to `constraint` |

#### Returns

a new GimpIntComboBox.

Since: 2.2

### gimp_vectors_combo_box_new ()

    GtkWidget *
    gimp_vectors_combo_box_new (GimpVectorsConstraintFunc constraint,
                                gpointer data);

Creates a new GimpIntComboBox filled with all currently opened vectors objects. If a `constraint` function is specified, it is called for each vectors object and only if the function returns `TRUE`, the vectors object is added to the combobox.

You should use `gimp_int_combo_box_connect()` to initialize and connect the combo. Use `gimp_int_combo_box_set_active()` to set the active vectors ID and `gimp_int_combo_box_get_active()` to retrieve the ID of the selected vectors object.

#### Parameters

constraint | a GimpVectorsConstraintFunc or `NULL` |
data | a pointer that is passed to `constraint` |

#### Returns

a new GimpIntComboBox.

Since: 2.4

## Types and Values

### GimpDrawableComboBox

    typedef struct _GimpDrawableComboBox GimpDrawableComboBox;

### GimpDrawableConstraintFunc

    typedef GimpItemConstraintFunc GimpDrawableConstraintFunc;

### GimpChannelComboBox

    typedef struct _GimpChannelComboBox GimpChannelComboBox;

### GimpLayerComboBox

    typedef struct _GimpLayerComboBox GimpLayerComboBox;

### GimpVectorsComboBox

    typedef struct _GimpVectorsComboBox GimpVectorsComboBox;

### GimpVectorsConstraintFunc

    typedef GimpItemConstraintFunc GimpVectorsConstraintFunc;